<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/parentPanel"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:minHeight="@dimen/d_350dp"
    android:minWidth="@dimen/d_550dp"
    android:orientation="vertical"
    android:paddingBottom="@dimen/d_20dp" >

    <LinearLayout
        android:id="@+id/topPanel"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:minHeight="@dimen/d_54dp"
        android:orientation="vertical" >

        <LinearLayout
            android:id="@+id/title_template"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/d_9dp"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginRight="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_6dp"
            android:gravity="center_vertical"
            android:orientation="horizontal" >

            <ImageView
                android:id="@+id/icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="top"
                android:paddingLeft="@dimen/d_10dp"
                android:paddingRight="@dimen/d_10dp"
                android:paddingTop="@dimen/d_6dp" />

            <TextView
                android:id="@+id/alertTitle"
                style="?android:attr/textAppearanceLarge"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:singleLine="true" />
        </LinearLayout>

        <ImageView
            android:id="@+id/titleDivider"
            android:layout_width="fill_parent"
            android:layout_height="@dimen/d_1dp"
            android:gravity="fill_horizontal"
            android:scaleType="fitXY"
            android:visibility="gone" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/contentPanel"
        android:layout_width="fill_parent"
        android:layout_height="0dp"
        android:layout_weight="1.0"
        android:minHeight="@dimen/d_110dp"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/message"
            style="?android:attr/textAppearanceMedium"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_gravity="center"
            android:gravity="center_vertical|left"
            android:paddingLeft="@dimen/d_70dp"
            android:paddingRight="@dimen/d_70dp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/buttonPanel"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:background="@null"
        android:minHeight="@dimen/d_54dp"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/d_2dp"
            android:paddingRight="@dimen/d_2dp"
            android:paddingTop="@dimen/d_4dp" >

            <Button
                android:id="@+id/button1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/btn_normal"
                android:maxLines="2"
                android:maxWidth="@dimen/d_300dp"
                android:minWidth="@dimen/d_240dp"
                android:textColor="@android:color/white"
                android:textSize="@dimen/d_30dp"
                android:visibility="gone" />

            <Button
                android:id="@+id/button2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="-5.0dip"
                android:background="@drawable/btn_normal"
                android:maxLines="2"
                android:maxWidth="@dimen/d_300dp"
                android:minWidth="@dimen/d_240dp"
                android:textColor="@android:color/white"
                android:textSize="@dimen/s_30sp"
                android:visibility="gone" />
        </LinearLayout>
    </LinearLayout>

</LinearLayout>